### Signal

# GimpUi Button::extended-clicked

#### Declaration

    void
    extended_clicked (
      GimpButton* self,
      GdkModifierType* arg1,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the button is clicked with a modifier key pressed.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`arg1`

  Type: `GdkModifierType`

  The state of modifier keys when the button was clicked.

  The data is owned by the caller of the function.